/*main*/
@import url(https://fonts.google.com/specimen/Fascinate+Inline?categoryFilters=Feeling:%2FExpressive%2FArtistic&preview.script=Latn);
:root {
    --text-color: #E0E1DD;
    --title-color: #778DA9;
    --hover-color: #E0E1DD;
    --background-color: #0D1B2A;
}
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    background-color: var(--background-color);
    font-family: 'inline';
}

/* nav bar */
header {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    height: 30px;
    padding: 20px;
    align-items: center;
    margin-top: 30px;
    margin-bottom: 5%;
}

nav ul {
    list-style-type: none;
    display: flex;
    flex-direction: row;
    gap: 70px
}

nav ul li a {
    color: var(--text-color);
    text-decoration: none;
    font-size: 18px;
    transition: all 0.3s ease;
}

nav ul li a:hover {
    color: var(--background-color);
    background-color: var(--text-color);
    padding: 10px;
    border-radius: 20px;
}

.logo {
    background-color: var(--text-color);
    height: 80px;
    width: 80px;
    border-radius: 10%;
    transition: all 1s ease;
}

.logo:hover {
    transform: rotate(360deg);
}

/* content */
.content {
    display: flex;
    flex-direction: column;
    align-items: center;
}

/* bio */
.bio {
    max-width: 50%;
    text-align: center;
    margin-top: 2%;
    margin-bottom: 20px;
}

.bio h1 {
    font-size:50x;
    margin-bottom: 20px;
    color: var(--title-color);
}

.bio p {
    font-size: 25px;
    line-height: 1.5;
    color: var(--text-color);
}


/* button */
.btn {
    color: var(--text-color);
    background-color: transparent;
    padding: 10px 20px;
    border: none;
    border-radius: 20px;
    font-size: 25px;
    cursor: pointer;
    font-weight: bold;
    transition: all 0.3s ease;
}

.btn:hover {
    background-color: var(--text-color);
    color: var(--background-color);
    transform: scale(1.2);
}

/* img */
.content img {
    max-inline-size: 100%;
    margin-top: 4%;
    margin-bottom: 2%;
    display: block;
    opacity: 0.7;
}

/* sections */
.work {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 5%;
    font-size: 30px;
    color: var(--title-color);
}

.sections {
    display: flex;
    flex-direction: row;
    align-self: center;
    margin-top: 10px;
}

.section-items {
    padding: 20px;
    margin: 10px;
    color: var(--text-color);
    text-align: center;
    font-size: 25px;
}

.test-img {
    display: flex;
    flex-direction: column;
    width: 300px;
    height: 450px;
    margin-top: 20px;
    margin-bottom: 20px;
    border-radius: 10px;
    transition: all 0.3s ease;
    justify-content: center;
    align-content: center;
}

.test-img a {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.test-img img {
    max-width: 250px;
    height: 400px;
}

.test-img:hover {
    scale: 0.9; 
    opacity: 0.5;
}

/* gallery */ 
.images {
    display: flex;
    flex-direction: row;
    margin: 20px;
}
.col1, .col2 {
    display: flex;
    flex-direction: column;
    width: 50%;
    height: auto;
    padding: 1px 5px;
    gap: 20px;
}
.col1 img, .col2 img{
    min-width: 500px;
    max-width: 100%;
    height: auto;
}

/* footer */
.footer {
    background-color: var(--background-color);
    color: var(--text-color);
    text-align: center;
    font-size: 20px;
    font-weight: bold;
    padding: 20px;
    margin-top: 10%;
}
